#Computer controlled machining

This week is about making something big using a CNC milling/routing machine. I want to explore the possibilities of CNC machining - drill, pocket, dog-bones, nesting, etc. I tried to make a versatile furniture piece so that I can use different joints and experiment with them.  

![](./images/ccm/table.jpg)  

### Page Summary
1. Introduction
2. Design  
3. Nesting
4. CAM
5. Test settings
6. Machining
7. Assembly
8. References
9. Design Files
---

1. Introduction
---
Material available for use is a veneer plywood of size 2440 x 1220 x 17 mm.  

On checking with a vernier caliper, thickness varies between 16.9mm and 17.1mm. So I'll use an average of 17mm thickness for my design.  
I wanted to make a desk with adjustable height so after some viewing some references, I decided to make trestle legs for a desk setup.  
![](./images/ccm/finnvard.jpeg)   
I started by making a 3D version of IKEA's FINVVARD to understand how it works.  
![](./images/ccm/basic.jpg)  

Since, I didn't have access to the lab during this week, I did the CAM part according to tools used in FabLabBCN.  
Later when I used FabLab SP, I did it again using Vcarve Pro.  

2. Design
---
I learnt about some details from the [50 Digital Joints poster](https://makezine.com/2014/12/04/50-digital-wood-joints-poster/). For the group assignment, I made a joint using both profiling and pocketing.
![](./images/ccm/1.png)  

I also made some versions of the finger tennons, lapped finger tennons, throughhole finger tennons to design the trestle.
![](./images/ccm/2.png)  
![](./images/ccm/3.png)    

Here is how the final legs look. I need to make 2 of these and put any flat board on top to make a tabletop.
![](./images/ccm/final.jpg)  

Here it is in 3D.  
<div class="sketchfab-embed-wrapper"> <iframe title="Trestlelegs 15mm" frameborder="0" allowfullscreen mozallowfullscreen="true" webkitallowfullscreen="true" allow="autoplay; fullscreen; xr-spatial-tracking" xr-spatial-tracking execution-while-out-of-viewport execution-while-not-rendered web-share src="https://sketchfab.com/models/d3bdb40771c04b519edc3b9295fd026b/embed"> </iframe> <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;"></div>

3. Nesting
---
Next, I lay everything flat on the XY plane and did a make 2D. For nesting I used an online service called [nestandcut.com](https://nestandcut.com/) to nest all parts in twice the quantity on a sheet of 1220x1220x15 mm. (Half a sheet). I uploaded a dxf file that I export from Rhino and imported the nested dxf back.  
![](./images/ccm/nest.jpg)  

I made some changes manually to fit it all in the available sheet. Like I put two parts insode the big board and nest it within to make more space for the missing parts. Here is what that looks like:  

![](./images/ccm/nested.jpg)  

<div class="sketchfab-embed-wrapper">
<iframe title="Trestlelegs 17mm Parts" width="600" height="450" frameborder="0" allowfullscreen mozallowfullscreen="true" webkitallowfullscreen="true" allow="autoplay; fullscreen; xr-spatial-tracking" xr-spatial-tracking execution-while-out-of-viewport execution-while-not-rendered web-share src="https://sketchfab.com/models/18fa9069d1d9437d8119f77e63d15e40/embed"> </iframe> <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;">
</div>  

4. CAM
---
### RhinoCAM
Next, I shifted to the Windows partition of my computer and installed [RhinoCAM.](https://mecsoft.com/rhinocam/) I opened the RhinoCAM machining browser plug-in in Rhino6. First I set it to MILL. In the program tab, I set up the material stock - 1220x1220x15.5 mm, the machine details - 3 axis , post - shopbot.

I set the origin at the left bottom corner and the Z at the top of the material stock.

![](./images/ccm/setup.jpg)  

Next I set the tool - Flatmill 6mm, refering to the class notes and some previous documentations:   
*   Saved the tool as Flatmill 6mm  
*   Holder dia = 50  
*   Holder length = 45  
*   Shank dia = 6mm  
*   Tool dia = 6mm  
*   Shoulder length = 30mm  
*   Flute length = 30mm  

**Feed and speeds:**   
*   Speeds: 12000 rpm  
*   Plunge: 2000 rpm  
*   Approach: 2000 rpm  
*   Engage: 2000 rpm  
*   Cut: 2000 rpm  
*   Retract: 2000 rpm  
*   Departure: 2000 rpm  

Next, in 2-axis functions there is a list of actions you can perform. For my design I needed engraving, profiling and pocketing.

#### Engraving
I set 5 points in the rhino file to engrave markings for screws to be drilled with a hand drill in the correct places![](./images/ccm/engraving.jpg)  


#### Pocketing
The insides of some parts that needed to be cleared were cut first. 2 parts needed pocketing at different heights, So after making adjustments in 2 different layers I changed the cut depth for both. 15mm for all parts except 2 where it was 10mm.  
![](./images/ccm/fullpocketing.jpg)   

**Settings:**  
*   Cut pattern: Offset  
*   Cut direction: Conventional (Up cut) - standard for plywood  
*   Start point: inside  
*   Rough depth: 12  
*   Finish depth: 3  

#### Profiling
To cut the outside profiles of the parts, I set the profiling for 2.5 axis. I also made another profiling - inside for 2 curves that needed to be cut on the inside.

![](./images/ccm/outerprofiling.jpg)  

Settings same as pocketing, set toolpath OUTSIDE the curves

#### Simulation
![](./images/ccm/simlulation1.jpg)  

Then I ran a simulation and found some errors in the settings.   
1.  The cutting height did not match the level of the stock. It was cutting in the air. I adjusted this by going back to the material panel and changing the stock thickness to 15mm. (It was 300 by mistake)  
2.  The tool path just ran once over all profiles and went in 15mm in one pass. I changed this by making the cut depth 15mm in roughing and finishing at 12mm and 3mm respectively.  
3.  Some parts were creating double paths - so I deselected them from one layer and generated toolpaths again.  

After running another simulation, it seemed fine.
![](./images/ccm/simlulation2.jpg)  
I didn't get a chance to actually cut using the RhinoCAM gcode. You can find the design files at the end of this page.  

### Vcarve Pro  
The standard workflow at FabLab SP was to import the dxf in Vcarve Pro and generate the gcode.  
I used the full version of [Vcarve Pro 11](https://www.vectric.com/products/vcarve-pro) at the lab.
![](./images/ccm/1.open.png)  

First step is to start a new file specifying the size. In my case Width 2440mm, Length 1220mm and Material thickness 17mm.  
![](./images/ccm/5.nest.png)  

Using the rulers on the side, optionally set margin guides. I do this with an offset of 20mm inside the edge of the material. This 20mm space is for screwing the material on to the base before cutting.  
Next, import the dxf.  
![](./images/ccm/3.import.png)  

Make sure all the curve are closed. If not, you can join them (J) from the menu bar.  
![](./images/ccm/4.joinvectors.png)  

Vcarve actualy has in-built nesting capabilities, this is very convenient.  
To save more space, I try nesting with 45deg and enable part mirroring. This changes the grain of material for the same parts, but since I'm experimenting and learning, I go ahead with this.  
![](./images/ccm/6.nesting.png)  

Next, recheck and set up the material dimensions. Also, select material top surface as origin. And left bottom corner as XY datum. In the toolpath tab on the right >>

**Tool path Settings:**  
Cutting Start Depth: 0 mm
Cut Depth: 17.5mm (I keep this more then the material thickness, to foolproof cutting through in case of uneven bed level or material inconsistency)  
Tool: 6mm endmill
Machine vectors: On the OUTSIDE (Vcarve automatically cuts inside curves on the inside)  
I'm using a 6mm flat compression endmill made of T carbide. So from the database, I select the correct bit and change the settings a little.   
Tool diameter = 6 mm  
No of flutes = 2  
Spindle Speed = 12000 pm  
Feed rate = 5000 mm/min  
Plunge rate = 600 mm/min  
Pass depth = 6 mm (=tool diameter, good practice)  
![](./images/ccm/7.tool.png)  

Next, adding tabs so that the cut parts do not fly out. I set the tab size to Length 12mm and depth 3mm to make it easy to cut later on. Again Vcarve has a convenient automatic tab generator. This can be customised using no of tabs, distance between tabs or even done manually by clicking on the lines. I found setting tabs by distance 200mm gave optimal results, with a slight extra effort to move around some tabs.  
![](./images/ccm/9.addtabs.png)  

After manually checking for all tabs, set machine vectors to outside, so that the kerf is outside the actual curve.
![](./images/ccm/10.edittabs.png)  
Single click to add a tab, double click to remove, and drag to move an existing one.  
The software automatically places the inside nested curve toolpath inside without making a different layer for it.  

Add a ramp.  
I added a 15mm ramp so that the tool doesn't plunge directly into the material.  
![](./images/ccm/8.toolpathsettings.png)  

On 'calculate' I got a warning popup saying the cutting depth exceeds the material thickness. I bypass this warning as the deeper cutting dimensions allows to cut the material without burr and accomodate the difference in material flatness and thickness. Also if there is any variation in the bed levelling. It will basically cut through 0.5mm through the waste sheet.
![](./images/ccm/11.warning.png)  

The file is almost ready. Last step is to simulate the cutting and check if it works properly. This is important before actually cutting.  You can control the speed of the simulation and check the toolpaths in detail.
![](./images/ccm/13.3dtoolpath.png)  

Save a .tap format (gcode) file in mm and send it to the computer of the CNC machine. There are multiple options of saving different profiles in one or multiple files.  
![](./images/ccm/15.save.png)  

You can click the clock symbol on the tool path taskbar and by setting scale and feed, simulate the time it will take for cutting that particular profile. This is not super accurate, but helps in approximating the actual time exclusing the material setup and cleaning later on. I later found this was way off.  
![](./images/ccm/14.time.png)  

5. Test settings
---
Using a 17mm ply, I made the pockets 10mm deep and then made a slotted joint.  
The wood I used for this was very soft, so it cut very clean in the milling machine, but cleaning it with a file was very difficult.  
![](./images/ccm/G1.JPG)  

On fixing the pieces togther, they weren't as clean as I imagined, and not as accurate.  
![](./images/ccm/G2.JPG)   
![](./images/ccm/Gjoint1.png)  
![](./images/ccm/Gjoint2.png)  

6. Machining
---
First mount the sheet on to the bed of the machine. Align properly with the waste board.
Using a power drill, drill in screws to fix the sheet. Do this within 20mm from the edges of the sheet, so the tool doesn't interfere with the screws. Also use countersunk screws so that the cap height remains flush with the material surface.  
![](./images/ccm/screw.png)  

Set X, Y origin at the left bottom of the sheet.  
![](./images/ccm/xy.png)  

Open NC-pro on the computer that is connected to the machine and check origin. I do not change X and Y as they are set already as default. To set Z origin, I use a tool sensor. By temp moving XY to 150,75, put the probe below the tool and set 'tool Measure'. This basically sets the Z at the top of the material.  
![](./images/ccm/z.png)  

Next, start the dust collector.
![](./images/ccm/dustcollector.png)  

On the remote, press 'start' and 'OK'.  
![](./images/ccm/remote.png)  

The spindle will start. The machine in the lab has a spindle regulator connected directly to it. So it doesn't use the setting from the gcode created in Vcarve.  
Cutting should now start. My file took approximately 2 hours to finish. It is very shrill and loud, so it is important to wear ear protection.  
The plunging created some burn marks in the holes.
![](./images/ccm/plunging.png)  

I noticed that the toolpath doesn't optimise paths by distance. Unlike in a lasercutter it cuts across the sheet in random(?) order.  
![](./images/ccm/random.png)  

After cutting is done, I unscrew the board from the base.
![](./images/ccm/fin.png)  

I vacuum all the remaining dust that the dust collector missed and on inspecting the cuts, realise that the material didn't cut through.
![](./images/ccm/oops.png)  

With Steven's help, I chiseled off all the tags from the pieces and found some pieces had to be cut again because they hadn't cut through with enough detail.  
![](./images/ccm/16.redo.png)  

7. Assembly
---
The machined parts have very rough edges, so I first used a burring tool to cut off chips.
![](./images/ccm/burr.png)  

I use a file to clean joint details.  
![](./images/ccm/file.png)  

And a hacksaw to cut off remains of tabs.  
![](./images/ccm/hacksaw.png)

There were still chipped off corners, so I used an orbital sander with a grit 1000 to sand off all surfaces.  
![](./images/ccm/orbit.png)   

Difference between sanded and unsanded parts:  
![](./images/ccm/sanded.png)  

This took up a lot more time than I anticipated, but the difference was apparent in the finished product.
So this is important to do before assembly. I wonder if in the future I can make setting to omit sanding parts altogether.  
Sanded and unsanded details:  
![](./images/ccm/difference.png)  

I started assembling all parts together. Here are some pictures of details.  
![](./images/ccm/joint1.png)  
![](./images/ccm/joint2.png)  
![](./images/ccm/joint3.png)  
![](./images/ccm/joint4.png)   
![](./images/ccm/joint5.png)  

Here's one finished part:   
![](./images/ccm/onepart.jpg)  

Here it is besides an actual IKEA Finnvard:  
![](./images/ccm/ba.jpg)  

Here are two of them:  
![](./images/ccm/two.jpg)  

And now by changing the height, its ready to use as a desk:  
![](./images/ccm/two.jpg)  

I has to recut these pieces as they were designed for 15mm thickness and not 17mm:  
![](./images/ccm/redo.jpg)  

8. References
---
[IKEA Finnvard trestle](https://www.ikea.com/us/en/p/finnvard-trestle-with-shelf-birch-30345717/)  
[This CNC wood joinery post](https://mkmra2.blogspot.com/2014/08/cnc-cut-wood-joinery.html)  
[50 Digital Joints](https://makezine.com/2014/12/04/50-digital-wood-joints-poster/)  
[Digital Fabrication for Designers blog](http://mkmra2.blogspot.com/2014/08/cnc-cut-wood-joinery.html)  

9. Design Files
---
**For 15mm version using RhinoCAM:**  
[Rhino 3D](./images/ccm/trestlelegs_15mm.3dm.zip)  
[DXF](./images/ccm/trestlelegs_15mm.dxf.zip)  
[Parts stl](./images/ccm/parts.stl.zip)  
[Full stl](./images/ccm/trestlelegs_15mm.stl.zip)  

**For 17mm version using Vcarve Pro:**  
[Rhino 3D](docs/images/ccm/trestlelegs_17mm.3dm.zip)  
[DXF](./images/ccm/trestlelegs_17mm.dxf.zip)  
[Parts stl](./images/ccm/trestlelegs_17mm_parts.stl.zip)  
[Vcarve]()  
[gcode mm (.tap)]()
