#Molding & Casting

###Page Summary  
1. Reviewing data sheets for each molding and casting materials  
2. Designing a 3D mold   
3. Creating Toolpaths  
4. Milling  
5. Casting parts   
6. Comparing casts  
7. references  
8. Design Files   
---

1. Reviewing data sheets for each molding and casting materials  
---
Materials are available in the lab:  
* Smooth-on Sorta Clear 37  
* Smooth Cast 300 and 305  
* EasyMold Silicon Rubber  
* EasyMold Silicon Putty  
* Smooth-on mold release agent   

Polytek EasyFlo 90 Liquid plastic
EZFLO90
https://polytek.com/products/easyflo-90-liquid-plastic

**[Smooth-on Sorta Clear 37](https://www.smooth-on.com/products/sorta-clear-37/)**  

This series of rubbers by Smooth-on are white translucent silicone rubbers that cure at room temperature with negligible shrinkage. They are very versatile because they offer a lot of easy features like:  

* 1A:1B by volume mix ratio.  
* can be stored and used at room temperatures  
* Materials such as urethane, epoxy or polyester resins can be cast into this silicone without applying a release agent.  
* Wax and low melt metal alloys can also be cast into it.  
* can be pigmented (SILC Pig™ silicone pigments)  
* Is food safe so can be used for culinary applications like casting chocolate and other confections.  

All these properties make it ideal for making prototypes, jewellery or other moulds where model visibility is important.    

The webpage for [Sorta Clear 37](https://www.smooth-on.com/products/sorta-clear-37/) gives details about every step of using  including videos and detailed instructions. Here is a short version of the important ones:  

* **Safety** - use in a ventilated room, wear vinyl gloves  
* **Storage** - at room temperature, and use as soon as possible as it has a limited shelf life.  
* **Measuring** - 1:1 of parts A and B by volume. The webpage also serves a material calculator for custom quantities.  
* **Mixing** - mix parts thoroughly for 3 minutes, scraping all surfaces of container   
* **Vacuuming** - pull vacuum at 1bar until it rises, breaks and falls and then 1 minute after.   
* **Testing** - some materials might inhibit curing and some materials like clay will not work for molding. so small tests are recommended   
* **Pouring** - pour mixture in the same spot at the lowest point of the containment field uniformly to avoid entrapped air and let it rise till level is atleast 1/2” (1.3 cm) over the highest point of the model surface  
* **Curing** - cure at room temperature for atleast 4 hours  
* **Demolding** - release agent makes demolding easier but is not always necessary  
* **Mold performance** - abrasive materials like concrete erode mold details quicker than non-abrasive materials like wax  
* **Mold Storage** - wash with soap solution and dry, assempble parts and store on a level surface in a cool, dry environment  

Understanding and following this is important to avoid accidents.  
[Link to Safety Data Sheet](https://www.smooth-on.com/msds/files/BD_DS_Eco_Equ_EZB_EZS_Psy_MS_OOMOO_Reb_ST_SS_Soma_Sol_Sorta.pdf)

**[Smooth Cast 300](https://www.smooth-on.com/products/smooth-cast-300/) and [Smooth Cast 305](https://www.smooth-on.com/products/smooth-cast-305/)**   

This series of liquid plastics by Smooth-on are ultra-low viscosity casting resins that yield bright white and virtually bubble free castings. Some important features they offer are:  

* 1:1 mix ratio by volume  
* Low viscosity captures excellent detail - no degassing necessary  
* Fully cured castings are tough, durable, machinable and paintable
* These resins readily accept fillers, can be coloured with tints and pigments
* They resist moisture and mild solvents.  

Therefore they work very good for reproducing small to medium sized sculptures, making prototype models, special effect props and decorative jewellery. The difference between 300 and 305 is in the curing times and the shelf life.  

The webpage for [Smooth Cast 300](https://www.smooth-on.com/products/smooth-cast-300/) and [Smooth Cast 305](https://www.smooth-on.com/products/smooth-cast-305/) give details about every step of using including videos and detailed instructions. Here is a short version of the important ones:

* **Safety** - use and mix in a ventilated room, wear rubber gloves and safety glasses  
* **Storage** - at room temperature, and use as soon as possible as it reacts with moisture.  
* **Measuring** - 1:1 of parts A and B by volume or 100A:90B by weight in a clean dry glass/plastic/metal container. The webpage also serves a material calculator for custom quantities.  
* **Mixing** - mix parts thoroughly for 3 minutes, scraping all surfaces of container    
* **Vacuuming** - not required     
* **Pouring** - pour mixture in the same spot at the lowest point of the containment field uniformly to avoid entrapped air. Best results are obtained using a pressure casting technique.  
* **Curing** - 7 - 10 minutes for smooth cast 300 and 30 – 40 minutes for soomth cast 305.  
* **Demolding** - specified release agents are necessary to facilitate demolding when casting into or over most surfaces
* **Mold performance** - Cured castings are rigid and durable. They resist moisture, moderate heat, solvents, dilute acids and can be machined, primed/painted or bonded to other surfaces (any release agent must be removed)  
Unpainted castings will yellow over time - more quickly when exposed to ultra-violet light.  

[Link to Safety Data Sheet for 300](https://www.smooth-on.com/msds/files/SC_300_300Q_320_380_45D_60D_61D_65D_66D_ONYX.pdf)
and [305](https://www.smooth-on.com/msds/files/Smooth-Cast_305_310.pdf).  

**[EasyMold Silicon Rubber](https://eti-usa.com/easymold-silicone-rubber-liquid/)**  
This product by ETI-USA is an easy to use, odor free, non-toxic, two component silicone liquid rubber that cures easily and can create blanket, glove or block molds. It is also FDA food-grade. Some basic features are:  

* Brushable/Pourable
* 45 Minute to 1 hour working time, 24 hour cure. Cure rate can be adjusted by applying heat.
* Produces extremely fine detail from original, no shrinkage.
* Self releasing, no mold release agent required for most applications.
* High heat range, up to 400º F.
* Strong flexible re-useable molds.
* No vacuum equipment required.

[Link to Safety Data Sheet](https://eti-usa.com/content/pdfs/EasyMold_Silicone_Rubber_Part_A_B_Combined.pdf)
The webpage for EasyMold Silicon Rubber also shares its [technical data sheet](https://eti-usa.com/content/pdfs/ETI_TDS_EasyMold-Sili-Rubber_04-2015.pdf) and [working instructions](https://eti-usa.com/content/pdfs/ETI_instructions_emsr_10-27-2020.pdf).  

**[EasyMold Silicon Putty](https://eti-usa.com/easymold-silicone-rubber-putty/)**  
This product by ETI-USA is odorless, non-toxic and FDA food-grade. It can easily create molds for small impression type objects. Some basic features are:  

* Easy to use, 3 Minute working time, 25 minute cure.
* Ideal for small molds, excellent detail from original.
* Strong, flexible, reuseable molds.
* High Heat range, up to 400º F.
* No Shrinkage.
* Self releasing, no mold release agent required for most applications.

[Link to Safety Data Sheet](https://eti-usa.com/content/pdfs/EasyMold_Silicone_Putty_Part_A_B_Combined.pdf)
The webpage for EasyMold Silicon Rubber also shares its [technical data sheet](https://eti-usa.com/content/pdfs/ETI_TDS_EasyMold-Sili-Putty_04-2015.pdf) and [working instructions](https://eti-usa.com/content/pdfs/ETI_instructions_easymoldenglish_10-27-2020.pdf).  

**[Smooth-on Universal Mold Release](https://www.smooth-on.com/products/universal-mold-release/)**  
This product comes in both liquid form and aerosol. It can be sprayed onto a mold to help release casts from properly prepared models.  
[Link to Safety Data Sheet](http://www.smooth-on.com/msds/files/Universal_Mold_Release_Aerosol.pdf)

The process of molding and casting goes like this:
![](./images/mc/moldcast.jpg)  
So the first task is to design a mold around the object to be cast. The mold design can be in 1, 2 ore more parts depending on the geometry of the object.  

2. Designing a 3D mold  
---
First made a pentagon, then rotated it along its side at an angle of
116.565. Polar array on all 5 sides. Mirrored horizontally. Oriented
both pieces to match. Put it in a bounding box. Extended the middle
curves to cut the box into two. I also sweeped a square along the edges
for finishing, added on one part of mold and subtracted from the other.
Added pipes for pouring in and vent. Made another box of 146x88x36mm,
and boolean differenced the previous ones.

![](./images/mc/process.gif)

3. Creating Toolpaths  
---
I used [FabModules](http://fabmodules.org/) to make the roughing and
finishing toolpaths.  

First I saved the mold as .stl and then in FabModules...  

* **Input** stl file  
* Set **units**/in as 25.4  
* **Dpi** 500  
* Calculate **height map**  
* **Output** rml (to use Roland)  
* **Machine** MDX-20  
* **Speed** 20 mm/s  
* **x0, y0, z0** = 0,0,0  
* **z jog** = 12 mm  
* **xhome, yhome, zhome** = 0,0,0  
* **Process** wax rough cut 1/8 for roughing, wax finish cut 1/8 for finishing
* **Direction** climb for roughing, conventional for finishing
* **Offset overlap** 50% for roughing, 90% for finishing
* **Tool diameter** 3.175
* **Type** flat end for roughing, ball end for finishing
* **Calculate roughing** and save
* **Calculate finishing** with above settings and save

Here is a gif that shows process for roughing toolpath calculation
![](./images/mc/roughing.gif)

This is how the final roughing toolpaths look:
![](./images/mc/roughing.jpg)

Here is a gif that shows the difference for finishing toolpath
calculation  
![](./images/mc/finishing.gif)

This is how the final finishing toolpaths look like:
![](./images/mc/finishing.jpg)

4. Milling  
---
Will do this step when I'm back in the lab.

5. Casting parts   
---
Will do this step when I'm back in the lab.

6. Comparing casts  
---

7. References
---
Types of endmills:  
![](./images/mc/types.jpg)  

Climb vs Conventional cutting:  
![](./images/mc/rotation.jpg)  

Drilling vs Milling:  
![](./images/mc/drilling.jpg)  

Centering:  
![](./images/mc/centering.jpg)  

8. Design Files
---
* [Dodecahedron 3D model](./images/mc/dodecahedron.3dm.zip)  
* [STL file](./images/mc/dodecahedronCAM.stl.zip)   
* [roughing.rml](./images/mc/roughing.rml.zip)  
* [finishing.rml](./images/mc/finishing.rml.zip)  
